#include "shader.h"


struct plain
{
	miColor color;
	miScalar brightness;
};

DLLEXPORT int plain_version(void) {return 1;}



DLLEXPORT miBoolean plai
(
	miColor *result,
	miState *state,
	struct plain *paras
)
{
	miColor *color = mi_eval_color(&paras->color);
	miScalar *brightness = mi_eval_scalar(&paras->brightness);


	result->r = color->r * (*brightness);
	result->g = color->g * (*brightness);
	result->b = color->b * (*brightness);

	return miTRUE;
}

